<?php

/**
 * Copyright © 2017 Filoblu S.r.l. All rights reserved.
 */ 

namespace FiloBlu\GaMeasurementProtocol\Setup;

use Magento\Framework\Setup\InstallSchemaInterface;
use Magento\Framework\Setup\ModuleContextInterface;
use Magento\Framework\Setup\SchemaSetupInterface;
use Magento\Framework\DB\Ddl\Table;

class InstallSchema implements InstallSchemaInterface {

    public function install(SchemaSetupInterface $setup, ModuleContextInterface $context) {
        $installer = $setup;
        $installer->startSetup();

        $quoteAddressTable = 'quote';
        // Quote table
        $installer->getConnection()
                ->addColumn(
                        $installer->getTable($quoteAddressTable), 'ga_session_id', [
                    'type' => \Magento\Framework\DB\Ddl\Table::TYPE_TEXT,
                    'length' => 255,
                    'default' => null,
                    'nullable' => true,
                    'comment' => 'Google Analytics Session ID',
                        ]
        );
        
        $orderTable = 'sales_order';
        // Order table
        $installer->getConnection()
                ->addColumn(
                        $installer->getTable($orderTable), 'ga_session_id', [
                    'type' => \Magento\Framework\DB\Ddl\Table::TYPE_TEXT,
                    'default' => null,
                    'nullable' => true,
                    'comment' => 'Google Analytics Session ID',
                        ]
        );

        $installer->endSetup();
    }

}
